Bug 1296769 - python-urllib3-1.15 is available
Summary: python-urllib3-1.15 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-urllib3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1332206
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-08 02:30 UTC by Upstream Release Monitoring
Modified: 2016-05-16 22:25 UTC (History)
3 users (show)

Fixed In Version: python-urllib3-1.15.1-1.fc23 python-urllib3-1.15.1-1.fc24 python-urllib3-1.15.1-1.fc22
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-06 19:24:08 UTC


Attachments (Terms of Use)
[patch] Update to 1.14 (#1296769) (1009 bytes, patch)
2016-01-08 02:30 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (8.05 KB, patch)
2016-04-10 01:35 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-01-08 02:30:18 UTC
Latest upstream release: 1.14
Current version/release in rawhide: 1.13.1-1.fc24
URL: https://pypi.python.org/pypi/urllib3

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2016-01-08 02:30:39 UTC
Created attachment 1112712 [details]
[patch] Update to 1.14 (#1296769)

Comment 2 Upstream Release Monitoring 2016-01-08 02:42:06 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12459608

Comment 3 Fedora Admin XMLRPC Client 2016-04-04 20:36:50 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Upstream Release Monitoring 2016-04-10 01:35:05 UTC
Latest upstream release: 1.15
Current version/release in rawhide: 1.13.1-3.fc25
URL: https://pypi.python.org/pypi/urllib3

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4078/

Comment 5 Upstream Release Monitoring 2016-04-10 01:35:32 UTC
Patching or scratch build for python-urllib3-1.13.1 failed.

Comment 6 Upstream Release Monitoring 2016-04-10 01:35:33 UTC
Created attachment 1145586 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 7 Upstream Release Monitoring 2016-04-10 01:35:35 UTC
Patches were not touched. All were applied properly

Comment 8 Kevin Fenzi 2016-04-30 19:39:00 UTC
Note that in order to push this we need to get a new package in: PySocks. It's used by newer python-urllib3's to provide SOCKS support. 

So, we will need to package that up and get it through review.

Comment 9 Fedora Update System 2016-05-03 17:41:34 UTC
python-pysocks-1.5.6-2.fc24 python-requests-2.10.0-1.fc24 python-urllib3-1.15.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5fd6be4390

Comment 10 Fedora Update System 2016-05-03 17:42:25 UTC
python-pysocks-1.5.6-2.fc23 python-requests-2.10.0-1.fc23 python-urllib3-1.15.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b9b61b26d3

Comment 11 Fedora Update System 2016-05-03 17:43:33 UTC
python-pysocks-1.5.6-2.fc22 python-requests-2.10.0-1.fc22 python-urllib3-1.15.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5e7a7d75b

Comment 12 Fedora Update System 2016-05-04 06:53:11 UTC
python-pysocks-1.5.6-2.fc22, python-requests-2.10.0-1.fc22, python-urllib3-1.15.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5e7a7d75b

Comment 13 Fedora Update System 2016-05-04 07:25:29 UTC
python-pysocks-1.5.6-2.fc23, python-requests-2.10.0-1.fc23, python-urllib3-1.15.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b9b61b26d3

Comment 14 Fedora Update System 2016-05-04 14:29:57 UTC
python-pysocks-1.5.6-2.fc24, python-requests-2.10.0-1.fc24, python-urllib3-1.15.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5fd6be4390

Comment 15 Fedora Update System 2016-05-06 19:23:53 UTC
python-pysocks-1.5.6-2.fc23, python-requests-2.10.0-1.fc23, python-urllib3-1.15.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-05-07 11:39:15 UTC
python-pysocks-1.5.6-2.fc24, python-requests-2.10.0-1.fc24, python-urllib3-1.15.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-05-16 22:25:26 UTC
python-pysocks-1.5.6-2.fc22, python-requests-2.10.0-1.fc22, python-urllib3-1.15.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.